Xeno86

KernelEx 4.5.2

1,561 posts in this topic

OS ME, KEX 4.5 RC1, RP9.6.5 (Replaced default shell font with Tahoma)

1. Adobe Flash Player 10.1 works fine and I haven't any problems to install it. TOP

2. VLC 1.0.5 works on one machine fine and on the other is the font-problem present.

On the first I had installed the XP fonts. Maybe it's the reason.

VLC 1.1.2 plays mp4, mp3, flv, ogg after renew/refresh the Fontcache.

I also can't close the programm - I must use Ctrl+ALT+DEL.

This version doesn't play audio CD's - it crashes.

Edited by schwups
0

Share this post


Link to post
Share on other sites

Does the latest flash plugin work with the 1X versions of SeaMonkey?

Yes, I have SM 1.1.19 and latest Flash works smoothly with it (like with Firefox 3.5.11 and Opera 10.60).

As my observations:

I've problem with VLC - I can't use any of never versions (I've got error message with User.exe).

MPC-HC indeed works but you must use default render otherwise it crash (at least that happened in my case).

Firefox 4 Beta 2 running ok but I've tested it shortly (most of my extensions doesn't work).

Good news that latest Avidemux (2.5.3) works without problem.

Btw, anyone has tried Java 6 Update 21 (it doesn't work with KEx 4.5 Beta 2)?

Edited by rainyd
0

Share this post


Link to post
Share on other sites

Hello everyone,

finally i made it, im registered..

Just let me thank u inventor-guys for helping me to survive with my little machine untill now.. since i just use it for math-calculations and something like CAD, it still does its job right. The highest probability to get a software working is with open-source-software, since the "real" software often uses a new installer. So this is my fist question.. is there a way to deal with these installers, like "unzipping" or implanting, and why are those installers such a problem (for KEX, or what u might need)?!? For example this free CAD-Software wont install: SolidEdge2DDraft.

I still have other things on mind, concerning KEX..

First the hardware: ..I have win98SE GER-version, a gf4 ti 4800 videocard, 512 mb of ram, ...so u see, its a rather old machine, but it survived..

Then some essential? software:

-KEX, the recent one

-RP9.6, recent one, 32-bit icons installed but skins disabled (win2000 theme)*

-Auto-Patcher for Win98SE Dec 2008, seems to work fine

-win98se sp3 b4 ,german version: http://www.nandlstadt.com/win98sp.htm

-tweaked gf4ti-drivers 82.69, i have some problems, sometimes the Screen got black on startup -but removing the nvidia-stuff from the autostart fixed this. But then it seems like the screen is not refreshed correctly in some applications, this is fixed when i access the "Eigenschaften von Anzeige" -> "Einstellungen" -> "weitere Optionen" :).. I dont know how its translated on EN OSes, maybe something like: "Properties of Display" (in the system-controls) -> "Settings" (last tab) -> "further options". Sounds strange but it really helps. Can someone tell me why?!

-Net 2.0 with some updates

-MS visual C++ 2008, visula J# , i dont know if i really need those...

-Firefox 3.5.10, didnt know 3.5.11 was out now, firefox 3.6.x will not wirk with Java, right?!??

-Java 6u20, the last one that works, right??

-Flash 10.1, thanks to new KEX, BUT I CANNOT CONTROL THE SOUND-VOLUME!!!!! anyone experienced this?? flash 10.0.45 worked just fine.

-VLC 1.1.2, (*)ONLY works fine if themes in RP9 are disabled, the VLC-Guys even tell the win98 users to use KEX! nice!! ( with vlc 1.0.5 i experienced the usual "no fonts in options"-problem. what am i missing?? is there a needed font-pack somewhere?!?

well it became a rather long list.. is there someone to give me a hand with some of my problems?? or if there even is a completely different way, dont hesitate to tell me...

greets FlippX

Edited by FlippX
0

Share this post


Link to post
Share on other sites

I thought there was meant to be a compatibility tab for all .exe files?

Why not in this case of Freecell.exe I wonder?

I think this is because it is 16bit exe, and Compatibility tab should appear for 32bit apps only. I thought KernelEx affects only 32bit apps...

Freecell is 16 bit? Well, it did run on Win3.1, but you needed the Win32S package. In fact that's how you confirmed Win32S installed correctly.

Aren't there two different 32 bit .exe formats? Maybe Freecell is the older one....

Anyway, since it works on others' PCs, and it doesn't have a compatibility tab, I'm thinking the problem must be a conflict with something else, such as the display driver perhaps. (I did try a couple different display resolutions, and both 24-bit and 32-bit color, but it didn't help.)

I have a Matrox Millennium G200 display card. Anyone else have that card or something similar?

0

Share this post


Link to post
Share on other sites

I also have a minor bug in Reversi (old 16-bit game): the cursor is supposed to change to a cross on squares that are legal moves. It does, but it gets "stuck" - it stays a cross everywhere on the board.

Do you have a link for your Reversi, it's not a default game in Windows.

Yeah, it's from Win 3.0! Micro$oft used to have it posted, but no longer, apparently. However I did find it online here:

http://www.4shared.com/file/TPOz45vC/REVERSI.html

That link doesn't include the help file, but that's not required. I downloaded it and it's indeed the correct file.

With KernelEx installed, the cursor problem is the only issue. Other than that it runs fine.

0

Share this post


Link to post
Share on other sites
Well, this kinda sucks:

The Win98 FreeCell solitaire game doesn't work with KernelEx 4.5 beta 2 or 4.5 RC 1.

  • Function keys do nothing
  • Display is corrupted when moving multiple cards
  • "Select game" menu option locks it up
  • Random lockups while playing
  • No crashes, therefore no drwatson log; sorry

And there's no compatibility tab on the Freecell.exe properties, so I can't just turn KernelEx off!

FreeCell runs fine if I uninstall KernelEx.

I even tried uninstalling and reinstalling with the 'disabled by default' option - still doesn't work.

I also have a minor bug in Reversi (old 16-bit game): the cursor is supposed to change to a cross on squares that are legal moves. It does, but it gets "stuck" - it stays a cross everywhere on the board.

Both work properly if KernelEx is uninstalled.

I have just checked FreeCell and Reversi on two systems. I can't replicate those problems on any of them.

Can you check if the problem is there with last stable release - KernelEx 4.0 Final 2 ?

Could you provide a DrWatson log with FreeCell running?

Can you make a screenshot of that display corruption?

I thought there was meant to be a compatibility tab for all .exe files?

Why not in this case of Freecell.exe I wonder?

Compatibility tab is enabled for all 32-bit executables.

KernelEx can't affect 16-bit apps directly so there is no tab there.

0

Share this post


Link to post
Share on other sites
However I did find it online here

...

With KernelEx installed, the cursor problem is the only issue. Other than that it runs fine.

I tried the file and was not able to reproduce the cursor bug.

I tried several settings but everything stayed fine. :whistle:

EDIT: Btw, no Compatibility tab for that exe also.

Edited by CharlesF
0

Share this post


Link to post
Share on other sites

I tried the file and was not able to reproduce the cursor bug.

I tried several settings but everything stayed fine. :whistle:

EDIT: Btw, no Compatibility tab for that exe also.

I'm not surprised. When Freecell worked for you, I figured the bug must be specific to my system. Possibly the display card/driver, but it's odd it only affects these older programs.

Reversi is definitely 16 bit, so no surprise there's no compatibility tab there.

Edited by Mathwiz
0

Share this post


Link to post
Share on other sites

2°) run last VLC 1.1.2 (zip file, no installer, after I have deleted the %windir%\Application Data\vlc folder from old version):

Not working :no:

- program is launching

- menus are readable

but

- files are not running : I tried mp3, mp4 and wmv

- doesn't accept to change language of GUI

- shut off is broken: program stays in memory (I have to use Ctrl+Alt+Del to kill it), icon is still in the systray and I had a crash at reboot

I'll look into that.

4°) BTW, what is the use of the new "Disable custom heap" in the compatibility tab?

It is an additional compatibility switch, allowing to disable new fast heap from FreeBSD introduced in KernelEx 4.5 Beta 1 while keeping everything else active.

5°) I have the same problem with Maxthon that I had with new VLC 1.1.2:

if I have a few tabs open, it can freeze completely if I try to close all together, or it does not unload from memory when I shut it off, and I have to use Ctrl+Alt+Del to kill it. :(

Never had such problem before, but I can't say if it comes from new KernelEx or from Flash player 10.1.

What is the version of Maxthon that you use.

What system, IE version.

Was this problem introduced in RC 1 or earlier?

So far, no problems with the latest version of KEX. Can't get Flash player plugin 10.1.53.64 to install. The installer doesn't seem to do anything at all. Tried uninstalling the old version, no change. Does the latest flash plugin work with the 1X versions of SeaMonkey?

Try this link:

http://get.adobe.com..._Other_Browsers

Or this direct link:

http://fpdownload.ad...lash_player.exe

Edited by Xeno86
0

Share this post


Link to post
Share on other sites

I can't get 10.1.53.64 to install due to an invalid page fault in kernel32.dll. But latest NPSWF32.dll works without problem.

DrWatson log would be handy. Also double check if compatibility mode is set to 'Windows XP'.

0

Share this post


Link to post
Share on other sites

I have just checked FreeCell and Reversi on two systems. I can't replicate those problems on any of them.

Can you check if the problem is there with last stable release - KernelEx 4.0 Final 2 ?

Could you provide a DrWatson log with FreeCell running?

Can you make a screenshot of that display corruption?

I'll try to get some debugging info tonight when I'm home, but I was up way too late last night so I may not get everything you need until tomorrow night.

0

Share this post


Link to post
Share on other sites

...

Btw, anyone has tried Java 6 Update 21 (it doesn't work with KEx 4.5 Beta 2)?

Hi,

Java 6 Update 21 works with Firefox 3.5.11 and KeX.

Have you checked your plugins in Firefox 3.5.11?

I disabled the Java Next Gen Plugin in the Java-"Preferences?"

But the latest Java6.21 and/or Firefox 3.5.11 ignore this setting.

Even when I deactivated the Java-NextGen-Plugin in Firefox-Plugins Java did not work.

My workaround:

Renaming the "C:\Programs\Java\jre6\bin\new_plugin" directory to maybe "C:\Programs\Java\jre6\bin\damnnew_plugin"

Then Firefox will only find the classic Java Plugin.

0

Share this post


Link to post
Share on other sites

Hi,

Java 6 Update 21 works with Firefox 3.5.11 and KeX.

Have you checked your plugins in Firefox 3.5.11?

I disabled the Java Next Gen Plugin in the Java-"Preferences?"

But the latest Java6.21 and/or Firefox 3.5.11 ignore this setting.

Even when I deactivated the Java-NextGen-Plugin in Firefox-Plugins Java did not work.

My workaround:

Renaming the "C:\Programs\Java\jre6\bin\new_plugin" directory to maybe "C:\Programs\Java\jre6\bin\damnnew_plugin"

Then Firefox will only find the classic Java Plugin.

Thank you for the tip. :)

Maybe not most elegant solution but if works it doesn't matter.

0

Share this post


Link to post
Share on other sites

I installed jre-6u21-windows-i586.exe over JRE 6u20, unchecked "enable next generation plugin," and Java (and applets) works fine with IE6, Firefox 3.6.8, and Seamonkey 1.1.19. Flash Player 10.1.53.64 installed over 10.0.x (with registry hack) with no problems. Flash test works for all 3 browsers.

For me, Kex 4.5 RC1 is working with no problems.

Edited by EvanD
0

Share this post


Link to post
Share on other sites

I installed jre-6u21-windows-i586.exe over JRE 6u20, unchecked "enable next generation plugin," and Java (and applets) works fine with IE6, Firefox 3.6.8, and Seamonkey 1.1.19.

Interesting because in my case, works only method mentioned by WIN98SE (of course I have disabled next generation Java-plugin).

In fact, I haven't tried to install new version over previous one.

Btw, it's good to hear, that latest Java works with Firefox 3.6.8 (Mozilla will end soon supporting Firefox 3.5.x).

Edited by rainyd
0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.